Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.gui.sequence
Class SequenceViewerSupport

    java.lang.Object
      org.biojava.bio.gui.sequence.SequenceViewerSupport

    public class SequenceViewerSupport

extends Object

Author:
  Matthew Pocock

Constructor Summary
`SequenceViewerSupport()`

Method Summary
`void` | `addSequenceViewerListener(SequenceViewerListener svl)`
`void` | `fireMouseClicked(SequenceViewerEvent sve)`
`void` | `fireMousePressed(SequenceViewerEvent sve)`
`void` | `fireMouseReleased(SequenceViewerEvent sve)`
`void` | `removeSequenceViewerListener(SequenceViewerListener svl)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SequenceViewerSupport

    public SequenceViewerSupport()

Method Detail

### addSequenceViewerListener

    public void addSequenceViewerListener(SequenceViewerListener svl)

### removeSequenceViewerListener

    public void removeSequenceViewerListener(SequenceViewerListener svl)

### fireMouseClicked

    public void fireMouseClicked(SequenceViewerEvent sve)

### fireMousePressed

    public void fireMousePressed(SequenceViewerEvent sve)

### fireMouseReleased

    public void fireMouseReleased(SequenceViewerEvent sve)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD